> For the complete documentation index, see [llms.txt](https://docs.sparkloop.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sparkloop.app/api-v3/endpoints/publications/grow/offers.md).

# Offers

## Offers

An **Offer** is a promotion a publication creates as a brand — it funds the offer with a monthly budget and other newsletters recommend it to earn a commission. This resource is the brand/owner view of the offers a publication has created.

### List offers

<mark style="color:blue;">`GET`</mark> `https://api.sparkloop.app/v3/publications/:publication_uuid/grow/offers`

Paginated.

**Path Parameters**

| Name                                                | Type   | Description             |
| --------------------------------------------------- | ------ | ----------------------- |
| publication\_uuid<mark style="color:red;">\*</mark> | String | The publication's UUID. |

**Query Parameters**

| Name   | Type   | Description                            |
| ------ | ------ | -------------------------------------- |
| expand | String | `stats` to include performance.        |
| from   | String | Start date (`YYYY-MM-DD`) for `stats`. |
| to     | String | End date (`YYYY-MM-DD`) for `stats`.   |

{% tabs %}
{% tab title="200: OK" %}

```json
{
  "offers": [
    <Offer Object>
  ],
  "meta": {
    "per_page": 50,
    "page": 1,
    "total_pages": 1,
    "total_offers": 2
  }
}
```

{% endtab %}
{% endtabs %}

### Get offer

<mark style="color:blue;">`GET`</mark> `https://api.sparkloop.app/v3/publications/:publication_uuid/grow/offers/:uuid`

**Path Parameters**

| Name                                                | Type   | Description             |
| --------------------------------------------------- | ------ | ----------------------- |
| publication\_uuid<mark style="color:red;">\*</mark> | String | The publication's UUID. |
| uuid<mark style="color:red;">\*</mark>              | String | The offer's UUID.       |

{% tabs %}
{% tab title="200: OK" %}

```json
{
  "offer": <Offer Object>
}
```

{% endtab %}

{% tab title="404: Not Found" %}

```json
{
  "error": "Resource not found."
}
```

{% endtab %}
{% endtabs %}
